=== debian/changelog ===
magit (2.90.1-2) unstable; urgency=medium

  * Remove emacs24 and emacs25 from Enhances
  * Use nil as default for magit-repository-directories 
    fix: "magit-status doesn't honor path auto-completion
    anymore", thanks to Matteo F. Vescovi (Closes: #914137).

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 09 Feb 2019 08:17:36 +0100

magit (2.90.1-1) unstable; urgency=medium

  * New upstream version
  * Update patches metadata
  * Update debian/docs file
  * Update debian/elpa-magit.elpa file
  * Update debian/watch to add the v in the version

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 17 Nov 2018 23:05:08 +0100
