=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Timo Juhani Lindfors <timo.lindfors@iki.fi>, Rémi Vanicat <vanicat@debian.org>, Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 11), dh-elpa (>= 1.7),
               git, elpa-dash, elpa-with-editor, elpa-magit-popup, elpa-ghub,
               texinfo, install-info
Standards-Version: 4.1.4
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, ${elpa:Depends}
Built-Using: ${misc:Built-Using}
Enhances: emacs, git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs, git
Built-Using: ${misc:Built-Using}
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.

Package: magit
Priority: optional
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, elpa-magit
Built-Using: ${misc:Built-Using}
Description: transitional dummy package for elpa-magit
 This transitional package is safe to remove.
