## magit 2.99.0.git0957.ge8c7bd03

=== Makefile ===
--- 
+++ 
@@ -196,7 +196,23 @@
   (insert (format "%S"
 `((emacs ,emacs-version) ;`
   (dash ,dash-version)
-  (with-editor ,with-editor-version))))
+  (transient ,transient-version)
+  (with-editor ,with-editor-version)))))
+(with-temp-file "lisp/magit-libgit.el"
+  (insert-file-contents "lisp/magit-libgit.el")
+  (re-search-forward "^;; Package-Requires: ")
+  (delete-region (point) (line-end-position))
+  (insert (format "%S"
+`((emacs "$(LIBGIT_EMACS_VERSION)") ;`
+  (magit "$(LIBGIT_MAGIT_VERSION)")
+  (libgit ,libgit-version)))))
+(with-temp-file "lisp/magit-section.el"
+  (insert-file-contents "lisp/magit-section.el")
+  (re-search-forward "^;; Package-Requires: ")
+  (delete-region (point) (line-end-position))
+  (insert (format "%S"
+`((emacs ,emacs-version) ;`
+  (dash ,dash-version)))))
 (with-temp-file "lisp/magit-pkg.el"
   (insert (pp-to-string
 `(define-package "magit" "$(VERSION)" ;`
@@ -204,14 +220,15 @@
    '((emacs ,emacs-version) ;'
      (async ,async-version)
      (dash ,dash-version)
-     (ghub ,ghub-version)
      (git-commit ,git-commit-version)
-     (magit-popup ,magit-popup-version)
-     (with-editor ,with-editor-version)))))
+     ;; FIXME (magit-section ,magit-section-version)
+     (transient ,transient-version)
+     (with-editor ,with-editor-version))
+   :keywords '("git" "tools" "vc")))) ;'
   (goto-char (point-min))
   (re-search-forward " \"A")
   (goto-char (match-beginning 0))
-  (insert "\n ")))
+  (insert "\n "))
 endef
 export set_package_requires
 
@@ -221,9 +238,10 @@
 	(emacs-version \"$(EMACS_VERSION)\")\
         (async-version \"$(ASYNC_VERSION)\")\
         (dash-version \"$(DASH_VERSION)\")\
-        (ghub-version \"$(GHUB_VERSION)\")\
         (git-commit-version \"$(GIT_COMMIT_VERSION)\")\
-        (magit-popup-version \"$(MAGIT_POPUP_VERSION)\")\
+        (libgit-version \"$(LIBGIT_VERSION)\")\
+        (magit-section-version \"$(MAGIT_SECTION_VERSION)\")\
+        (transient-version \"$(TRANSIENT_VERSION)\")\
         (with-editor-version \"$(WITH_EDITOR_VERSION)\"))\
         $$set_package_requires)"
 
@@ -232,9 +250,10 @@
 	(emacs-version \"$(EMACS_VERSION)\")\
         (async-version \"$(ASYNC_MELPA_SNAPSHOT)\")\
         (dash-version \"$(DASH_MELPA_SNAPSHOT)\")\
-        (ghub-version \"$(GHUB_MELPA_SNAPSHOT)\")\
         (git-commit-version \"$(GIT_COMMIT_MELPA_SNAPSHOT)\")\
-        (magit-popup-version \"$(MAGIT_POPUP_MELPA_SNAPSHOT)\")\
+        (libgit-version \"$(LIBGIT_MELPA_SNAPSHOT)\")\
+        (magit-section-version \"$(MAGIT_SECTION_MELPA_SNAPSHOT)\")\
+        (transient-version \"$(TRANSIENT_MELPA_SNAPSHOT)\")\
         (with-editor-version \"$(WITH_EDITOR_MELPA_SNAPSHOT)\"))\
         $$set_package_requires)"
 	@git commit -a -m "Reset Package-Requires for Melpa"
