=== Documentation/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	@printf "Generating $@\n"
 	@$(MAKEINFO) --no-split $< -o $@
 
-dir: magit.info
+dir: magit.info magit-section.info
 	@printf "Generating dir\n"
 	@echo $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
@@ -42,6 +42,11 @@
 	@for f in $$(find magit -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
 	done
+	@printf "Generating magit-section/*.html\n"
+	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) magit-section.texi
+	@for f in $$(find magit-section -name '*.html') ; do \
+	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
+	done
 
 %.pdf: %.texi
 	@printf "Generating $@\n"
@@ -49,7 +54,7 @@
 
 %.epub: %.texi
 	@printf "Generating $@\n"
-	@makeinfo --docbook $< -o epub.xml
+	@$(MAKEINFO) --docbook $< -o epub.xml
 	@xsltproc $(DOCBOOK_XSL) epub.xml 2> /dev/null
 	@echo "application/epub+zip" > mimetype
 	@zip -X --quiet --recurse-paths -0 $@ mimetype
@@ -78,7 +83,8 @@
 ## Release management ################################################
 
 ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
-ORG_ARGS += -l magit-utils.el -l org-man -l ox-extra -l ox-texinfo+.el
+ORG_ARGS += -l magit-utils.el -l ox-extra -l ox-texinfo+.el
+ORG_ARGS += --eval "(or (require 'org-man nil t) (require 'ol-man))"
 ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
@@ -95,6 +101,9 @@
 	@$(EMACSBIN) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
 	@printf "\n" >> $(PKG).texi
 	@rm -f $(PKG).texi~
+	@$(EMACSBIN) $(ORG_ARGS) magit-section.org $(ORG_EVAL)
+	@printf "\n" >> magit-section.texi
+	@rm -f magit-section.texi~
 
 stats:
 	@printf "Generating statistics\n"
@@ -140,6 +149,11 @@
 	@aws s3 cp $(PKG).epub $(PUBLISH_TARGET)
 	@printf "upload: ./$(PKG)/* to $(PUBLISH_TARGET)*\n"
 	@aws s3 sync --delete $(PKG) $(PUBLISH_TARGET)$(PKG)/ > /dev/null
+	@aws s3 cp magit-section.html $(PUBLISH_TARGET)
+	@aws s3 cp magit-section.pdf  $(PUBLISH_TARGET)
+	@aws s3 cp magit-section.epub $(PUBLISH_TARGET)
+	@printf "upload: ./magit-section/* to $(PUBLISH_TARGET)*\n"
+	@aws s3 sync --delete magit-section $(PUBLISH_TARGET)magit-section/ > /dev/null
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
@@ -151,6 +165,13 @@
 	@aws s3 cp $(PKG).epub $(RELEASE_TARGET)
 	@printf "upload: ./$(PKG)/* to $(RELEASE_TARGET)*\n"
 	@aws s3 sync --delete $(PKG) $(RELEASE_TARGET)$(PKG)/ > /dev/null
+	@aws s3 cp magit-section.html $(RELEASE_TARGET)
+	@aws s3 cp magit-section.pdf  $(RELEASE_TARGET)
+	@aws s3 cp magit-section.epub $(RELEASE_TARGET)
+	@printf "upload: ./magit-section/* to $(RELEASE_TARGET)*\n"
+	@aws s3 sync --delete magit-section $(RELEASE_TARGET)magit-section/ > /dev/null
+	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
+	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
 	@printf "Generating CDN invalidation\n"
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
