=== lisp/Makefile ===
--- 
+++ 
@@ -11,54 +11,61 @@
 
 git-commit.elc:
 magit-utils.elc:
-magit-section.elc:	magit-utils.elc
-magit-git.elc:		magit-utils.elc magit-section.elc
-magit-mode.elc:		magit-section.elc magit-git.elc
-magit-margin.elc:	magit-section.elc magit-mode.elc
-magit-process.elc:	magit-utils.elc magit-section.elc \
-			magit-git.elc magit-mode.elc
-magit-autorevert.elc:	magit-git.elc magit-process.elc
-magit-core.elc:		magit-margin.elc magit-utils.elc \
-			magit-section.elc magit-git.elc magit-mode.elc \
-			magit-process.elc magit-autorevert.elc
-magit-diff.elc:		git-commit.elc magit-core.elc
-magit-log.elc:		magit-core.elc magit-diff.elc
-magit-wip.elc:		magit-core.elc magit-log.elc
-magit-apply.elc:	magit-core.elc magit-diff.elc magit-wip.elc
-magit-repos.elc:	magit-core.elc
-magit.elc:		git-commit.elc magit-core.elc magit-diff.elc \
-			magit-log.elc magit-apply.elc magit-repos.elc
-magit-status.elc:	magit.elc
-magit-refs.elc: 	magit.elc
-magit-files.elc:	magit.elc
-magit-collab.elc:	magit.elc
+magit-section.elc:
+ifeq "$(BUILD_MAGIT_LIBGIT)" "true"
+magit-libgit.elc:
+magit-git.elc:          magit-utils.elc magit-section.elc magit-libgit.elc
+else
+magit-git.elc:          magit-utils.elc magit-section.elc
+endif
+magit-mode.elc:         magit-section.elc magit-git.elc
+magit-margin.elc:       magit-section.elc magit-mode.elc
+magit-process.elc:      magit-utils.elc magit-section.elc \
+                        magit-git.elc magit-mode.elc
+magit-transient.elc:    magit-git.elc magit-mode.elc magit-process.elc
+magit-autorevert.elc:   magit-git.elc magit-process.elc
+magit-core.elc:         magit-margin.elc magit-utils.elc \
+                        magit-section.elc magit-git.elc \
+                        magit-transient.elc magit-mode.elc \
+                        magit-process.elc magit-autorevert.elc
+magit-diff.elc:         git-commit.elc magit-core.elc
+magit-log.elc:          magit-core.elc magit-diff.elc
+magit-wip.elc:          magit-core.elc magit-log.elc
+magit-reflog.elc:       magit-core.elc magit-log.elc
+magit-apply.elc:        magit-core.elc magit-diff.elc magit-wip.elc
+magit-repos.elc:        magit-core.elc
+magit.elc:              git-commit.elc magit-core.elc magit-diff.elc \
+                        magit-log.elc magit-apply.elc magit-repos.elc
+magit-status.elc:       magit.elc
+magit-refs.elc:         magit.elc
+magit-files.elc:        magit.elc
 magit-reset.elc:        magit.elc
-magit-branch.elc:	magit.elc magit-collab.elc magit-reset.elc
-magit-merge.elc:        magit.elc
+magit-branch.elc:       magit.elc magit-reset.elc
+magit-merge.elc:        magit.elc magit-diff.elc
 magit-tag.elc:          magit.elc
-magit-worktree.elc:	magit.elc
-magit-notes.elc:	magit.elc
-magit-sequence.elc:	magit.elc
-magit-commit.elc:	magit.elc magit-sequence.elc
-magit-remote.elc:	magit.elc
-magit-clone.elc:	magit.elc
-magit-fetch.elc:	magit.elc
-magit-pull.elc:		magit.elc
-magit-push.elc:		magit.elc
-magit-patch.elc:	magit.elc
-magit-bisect.elc:	magit.elc
-magit-stash.elc:	magit.elc
-magit-blame.elc:	magit.elc
-magit-obsolete.elc:	magit.elc
-magit-submodule.elc:	magit.elc
-magit-subtree.elc:	magit.elc
-magit-ediff.elc:	magit.elc
-magit-gitignore.elc:	magit.elc
-magit-extras.elc:	magit.elc magit-merge.elc
-git-rebase.elc:		magit.elc
-magit-imenu.elc:	magit.elc git-rebase.elc
-magit-bookmark.elc:	magit.elc
-magit-obsolete.elc:	magit.elc
+magit-worktree.elc:     magit.elc
+magit-notes.elc:        magit.elc
+magit-sequence.elc:     magit.elc
+magit-commit.elc:       magit.elc magit-sequence.elc
+magit-remote.elc:       magit.elc
+magit-clone.elc:        magit.elc
+magit-fetch.elc:        magit.elc
+magit-pull.elc:         magit.elc magit-remote.elc
+magit-push.elc:         magit.elc
+magit-bisect.elc:       magit.elc
+magit-stash.elc:        magit.elc magit-reflog.elc
+magit-blame.elc:        magit.elc
+magit-obsolete.elc:     magit.elc
+magit-submodule.elc:    magit.elc
+magit-patch.elc:        magit.elc
+magit-subtree.elc:      magit.elc
+magit-ediff.elc:        magit.elc
+magit-gitignore.elc:    magit.elc
+magit-extras.elc:       magit.elc magit-merge.elc
+git-rebase.elc:         magit.elc
+magit-imenu.elc:        magit.elc git-rebase.elc
+magit-bookmark.elc:     magit.elc
+magit-obsolete.elc:     magit.elc
 
 ## Build #############################################################
