=== debian/changelog ===
magit (2.99.0.git0957.ge8c7bd03-1) unstable; urgency=medium

  [ Rémi Vanicat ]
  * Drop transitional package magit from src:magit",
    thanks to Holger Levsen (Closes: #940746).
  * Git snapshot e8c7bd03 (Thanks to Jonas Bernoulli
    https://github.com/magit/magit/issues/4095).
    Bug fix: "please package new upstream snapshot", thanks to Antoine
    Beaupre (Closes: #952560).
  * Update patches to new version
  * Change build depend from magit-popup to transient

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove unnecessary ${misc:Built-Using} for elpa-magit, elpa-git-
    commit

 -- Rémi Vanicat <vanicat@debian.org>  Mon, 06 Jul 2020 17:56:39 +0200
